Gem::Specification.new do |s|
  s.name = %q{ruby-prof}
  s.version = "0.5.2"
  s.date = %q{2007-07-19}
  s.summary = %q{Fast Ruby profiler}
  s.email = %q{shugo@ruby-lang.org and cfis@savagexi.com}
  s.homepage = %q{http://rubyforge.org/projects/ruby-prof/}
  s.rubyforge_project = %q{ruby-prof}
  s.description = %q{ruby-prof is a fast code profiler for Ruby. It is a C extension and therefore is many times faster than the standard Ruby profiler. It supports both flat and graph profiles.  For each method, graph profiles show how long the method ran, which methods called it and which  methods it called. RubyProf generate both text and html and can output it to standard out or to a file.}
  s.autorequire = %q{ruby-prof}
  s.default_executable = %q{ruby-prof}
  s.has_rdoc = true
  s.required_ruby_version = Gem::Version::Requirement.new(">= 1.8.4")
  s.authors = ["Shugo Maeda and Charlie Savage"]
  s.files = ["Rakefile", "README", "LICENSE", "CHANGES", "bin/ruby-prof", "lib/ruby-prof", "lib/ruby-prof.rb", "lib/unprof.rb", "lib/ruby-prof/abstract_printer.rb", "lib/ruby-prof/call_tree_printer.rb", "lib/ruby-prof/flat_printer.rb", "lib/ruby-prof/graph_html_printer.rb", "lib/ruby-prof/graph_printer.rb", "lib/ruby-prof/profile_test_case.rb", "lib/ruby-prof/task.rb", "rails_plugin/ruby-prof", "rails_plugin/ruby-prof/init.rb", "rails_plugin/ruby-prof/lib", "rails_plugin/ruby-prof/lib/profiling.rb", "examples/flat.txt", "examples/graph.html", "examples/graph.txt", "ext/extconf.rb", "ext/measure_allocations.h", "ext/measure_cpu_time.h", "ext/measure_process_time.h", "ext/measure_wall_time.h", "ext/ruby_prof.c", "test/basic_test.rb", "test/duplicate_names_test.rb", "test/gc.log", "test/line_number_test.rb", "test/measure_mode_test.rb", "test/module_test.rb", "test/no_method_class_test.rb", "test/prime.rb", "test/prime1.rb", "test/prime2.rb", "test/prime3.rb", "test/prime_test.rb", "test/printers_test.rb", "test/profile_unit_test.rb", "test/recursive_test.rb", "test/singleton_test.rb", "test/start_test.rb", "test/test_helper.rb", "test/test_suite.rb", "test/thread_test.rb", "test/timing_test.rb"]
  s.test_files = ["test/test_helper.rb", "test/test_suite.rb"]
  s.rdoc_options = ["--title", "ruby-prof", "--inline-source", "--line-numbers", "--main", "README"]
  s.extra_rdoc_files = ["bin/ruby-prof", "ext/ruby_prof.c", "examples/flat.txt", "examples/graph.txt", "examples/graph.html", "README", "LICENSE"]
  s.executables = ["ruby-prof"]
  s.extensions = ["ext/extconf.rb"]
end
